summaryrefslogtreecommitdiff
diff options
context:
space:
mode:
authorCraig Andrews <candrews@gentoo.org>2017-12-09 16:54:27 -0500
committerCraig Andrews <candrews@gentoo.org>2017-12-16 00:41:46 -0500
commit388d484c9de12ab527899b42b59e04e133417403 (patch)
treee00a3ec8b2355562e2dd0723cec33c4cf281cbad
parentmedia-video/libva-utils: 2.0.0 version bump (diff)
downloadgentoo-388d484c9de12ab527899b42b59e04e133417403.tar.gz
gentoo-388d484c9de12ab527899b42b59e04e133417403.tar.bz2
gentoo-388d484c9de12ab527899b42b59e04e133417403.zip
x11-libs/libva-intel-driver: 2.0.0 version bump
Closes: https://bugs.gentoo.org/639404 Package-Manager: Portage-2.3.17, Repoman-2.3.6
-rw-r--r--x11-libs/libva-intel-driver/Manifest1
-rw-r--r--x11-libs/libva-intel-driver/libva-intel-driver-2.0.0.ebuild56
-rw-r--r--x11-libs/libva-intel-driver/libva-intel-driver-9999.ebuild6
3 files changed, 60 insertions, 3 deletions
diff --git a/x11-libs/libva-intel-driver/Manifest b/x11-libs/libva-intel-driver/Manifest
index 60035cc8dd9..d5dfb13ce1d 100644
--- a/x11-libs/libva-intel-driver/Manifest
+++ b/x11-libs/libva-intel-driver/Manifest
@@ -3,3 +3,4 @@ DIST libva-intel-driver-1.8.0.tar.gz 2308240 BLAKE2B 5d5190b0dedc62421f411841042
DIST libva-intel-driver-1.8.1.tar.gz 2309572 BLAKE2B 4a51d03000a9787767c65ac1a5c7a27f1e8a5be5f45645f85539e938100fca6c3233b36e10847ef7b8d8e41df50f3f41794b8f2793679b66e6b463f0780ba88e SHA512 a7c414ce32f1724acf62dd67099e5b0642aae880434232adb26f228037ccd8f070a0d836a541841992513c2945520bf2e4dd70309d8d551a892d845303489baa
DIST libva-intel-driver-1.8.2.tar.gz 2309998 BLAKE2B 8c00779c84ea993ed717c4a3d45499f5077898556f8b7f8e4d6edc94465c43baff202562cb618051893615a10c4f6a76047fe6cf06433872c67bfd938eb59084 SHA512 047362e2ca301e01db8bd73450595c91fd4da36da4737be2fe7ba32086a0ead3443e9247ae84f87034c9ded3f046c314af0d1baab8930bb03b77f22ad1fac9f0
DIST libva-intel-driver-1.8.3.tar.gz 2591242 BLAKE2B 954ad024ea93073f23045530506c6988cd55bc4bce565856071b30cfc0c10b673a225d4cfdd50cd360a3f828bf236386ba2937e59c260f72717dbdf72a29152c SHA512 0457147aa998014df82ef6180c873fd087b03573adac7ba84c79516a16bd73eb43ff5f07cf3f40c7f590f4e04981ae3010877a468fb20fe4606843932aaa0990
+DIST libva-intel-driver-2.0.0.tar.gz 2831508 BLAKE2B 3f777303099cac2df3d3d2394af28e086bb4f9b6d595585cedf0d3a4aed79c8ab9d0a132b828d9b56c9bf09526cd6d0a7b9354832464a9ffec7a66aeb939a528 SHA512 2f538d97ae2ea5cbbaa2660c1498a2288b8828ecae914c500f250c25a433a8ee289a9a5beb001b557dd0d84fa3f4bcd8bbe2f23c705caad527080ecca29b933b
diff --git a/x11-libs/libva-intel-driver/libva-intel-driver-2.0.0.ebuild b/x11-libs/libva-intel-driver/libva-intel-driver-2.0.0.ebuild
new file mode 100644
index 00000000000..91c3815cfab
--- /dev/null
+++ b/x11-libs/libva-intel-driver/libva-intel-driver-2.0.0.ebuild
@@ -0,0 +1,56 @@
+# Copyright 1999-2017 Gentoo Foundation
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=5
+
+SCM=""
+if [ "${PV%9999}" != "${PV}" ] ; then # Live ebuild
+ SCM=git-r3
+ EGIT_BRANCH=master
+ EGIT_REPO_URI="https://github.com/01org/intel-vaapi-driver.git"
+fi
+
+AUTOTOOLS_AUTORECONF="yes"
+inherit autotools-multilib ${SCM}
+
+DESCRIPTION="HW video decode support for Intel integrated graphics"
+HOMEPAGE="https://github.com/01org/intel-vaapi-driver"
+if [ "${PV%9999}" != "${PV}" ] ; then # Live ebuild
+ SRC_URI=""
+else
+ SRC_URI="https://github.com/01org/intel-vaapi-driver/archive/${PV}.tar.gz -> ${P}.tar.gz"
+ S="${WORKDIR}/intel-vaapi-driver-${PV}"
+fi
+
+LICENSE="MIT"
+SLOT="0"
+if [ "${PV%9999}" = "${PV}" ] ; then
+ KEYWORDS="~amd64 ~x86 ~amd64-linux ~x86-linux"
+else
+ KEYWORDS=""
+fi
+IUSE="+drm wayland X"
+
+RDEPEND=">=x11-libs/libva-2.0.0[X?,wayland?,drm?,${MULTILIB_USEDEP}]
+ >=x11-libs/libdrm-2.4.52[video_cards_intel,${MULTILIB_USEDEP}]
+ wayland? ( >=media-libs/mesa-9.1.6[egl,${MULTILIB_USEDEP}] >=dev-libs/wayland-1.11[${MULTILIB_USEDEP}] )"
+
+DEPEND="${RDEPEND}
+ virtual/pkgconfig"
+
+DOCS=( AUTHORS NEWS README )
+AUTOTOOLS_PRUNE_LIBTOOL_FILES="all"
+
+src_prepare() {
+ sed -e 's/intel-gen4asm/\0diSaBlEd/g' -i configure.ac || die
+ autotools-multilib_src_prepare
+}
+
+multilib_src_configure() {
+ local myeconfargs=(
+ $(use_enable drm)
+ $(use_enable wayland)
+ $(use_enable X x11)
+ )
+ autotools-utils_src_configure
+}
diff --git a/x11-libs/libva-intel-driver/libva-intel-driver-9999.ebuild b/x11-libs/libva-intel-driver/libva-intel-driver-9999.ebuild
index 053f134f8eb..91c3815cfab 100644
--- a/x11-libs/libva-intel-driver/libva-intel-driver-9999.ebuild
+++ b/x11-libs/libva-intel-driver/libva-intel-driver-9999.ebuild
@@ -31,9 +31,9 @@ else
fi
IUSE="+drm wayland X"
-RDEPEND=">=x11-libs/libva-1.8.0[X?,wayland?,drm?,${MULTILIB_USEDEP}]
- >=x11-libs/libdrm-2.4.46[video_cards_intel,${MULTILIB_USEDEP}]
- wayland? ( >=media-libs/mesa-9.1.6[egl,${MULTILIB_USEDEP}] >=dev-libs/wayland-1.0.6[${MULTILIB_USEDEP}] )"
+RDEPEND=">=x11-libs/libva-2.0.0[X?,wayland?,drm?,${MULTILIB_USEDEP}]
+ >=x11-libs/libdrm-2.4.52[video_cards_intel,${MULTILIB_USEDEP}]
+ wayland? ( >=media-libs/mesa-9.1.6[egl,${MULTILIB_USEDEP}] >=dev-libs/wayland-1.11[${MULTILIB_USEDEP}] )"
DEPEND="${RDEPEND}
virtual/pkgconfig"